package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxArticleComment struct {
	Id       int       `orm:"column(id);pk" description:"留言id"`
	UserId      int       `description:"用户id"`
	ArticleId  int       `description:"活动id"`
	CreateTime  time.Time `description:"创建时间"`
	Mobile      string    `description:"手机号"`
	Email       string    `description:"邮箱"`
	CompanyId   int       `description:"公司id"`
	CompanyName string    `description:"公司名称"`
	Content     string    `description:"内容"`
}


//添加留言
func AddArticleComment(item *CygxArticleComment) (lastId int64, err error) {
	o := orm.NewOrm()
	lastId, err = o.Insert(item)
	return
}


type AddCygxArticleCommentReq struct {
	ArticleId int    `description:"文章id"`
	Content    string `description:"内容"`
}
